## org.eclipse.jst.jsf.facesconfig.emf
Interface MapEntryType

All Known Implementing Classes:
  MapEntryTypeImpl

    public interface MapEntryType

A representation of the model object 'Map Entry Type'.

The following features are supported:

- `Key`
- `Null Value`
- `Value`
- `Id`

See Also:
  `FacesConfigPackage.getMapEntryType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`KeyType` `getKey()` Returns the value of the 'Key' containment reference
`NullValueType` `getNullValue()` Returns the value of the 'Null Value' containment reference
`ValueType` `getValue()` Returns the value of the 'Value' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setKey(KeyType value)` Sets the value of the '`Key`' containment reference
`void` `setNullValue(NullValueType value)` Sets the value of the '`Null Value`' containment reference
`void` `setValue(ValueType value)` Sets the value of the '`Value`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getKey

    KeyType getKey()

  Returns the value of the 'Key' containment reference.

  If the meaning of the 'Key' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Key' containment reference.
  See Also:
    `setKey(KeyType)`, `FacesConfigPackage.getMapEntryType_Key()`

### setKey

    void setKey(KeyType value)

  Sets the value of the '`Key`' containment reference.

  Parameters:
    `value` - the new value of the 'Key' containment reference.
  See Also:
    `getKey()`

### getNullValue

    NullValueType getNullValue()

  Returns the value of the 'Null Value' containment reference.

  If the meaning of the 'Null Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Value' containment reference.
  See Also:
    `setNullValue(NullValueType)`, `FacesConfigPackage.getMapEntryType_NullValue()`

### setNullValue

    void setNullValue(NullValueType value)

  Sets the value of the '`Null Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Null Value' containment reference.
  See Also:
    `getNullValue()`

### getValue

    ValueType getValue()

  Returns the value of the 'Value' containment reference.

  If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(ValueType)`, `FacesConfigPackage.getMapEntryType_Value()`

### setValue

    void setValue(ValueType value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getMapEntryType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`